package com.yunzhi.marketing.redpack.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 红包助力报名表 
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaRedPacketPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 活动ID
     */
    private String activityId;

    /**
     * 公众号人员ID
     */
    private String mpPersonId;

    /**
     * 小程序人员ID
     */
    private String miniappPersonId;

    /**
     * 报名时间
     */
    private LocalDateTime createDate;

    /**
     * 是否报名
     */
    private Boolean isSignedUp;

    /**
     * 二维码
     */
    private String qrcode;

    /**
     * 当前票数
     */
    private Integer votes;

    /**
     * 已投票数
     */
    private Integer votedNum;

    /**
     * 是否成功
     */
    private Boolean isSuccess;

    /**
     * 红包金额 单位分
     */
    private Integer packetAmount;

    /**
     * 红包结果 0未发,1已发
     */
    private Integer packetStatus;

    @TableField(exist = false)
    private String phone;

    /**
     * 接收红包人昵称
     */
    @TableField(exist = false)
    private String nickname;

    /**
     * 接受红包人名称
     */
    @TableField(exist = false)
    private String name;

    /**
     * 接受红包人头像
     */
    @TableField(exist = false)
    private String avatarurl;

    /**
     * 被助力次数
     */
    @TableField(exist = false)
    private Integer helpNum;


}
